be.fgov.ehealth.dics.protocol.v5

## Class FindCompanyResponse

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.ResponseType
  - - be.fgov.ehealth.dics.protocol.v5.DicsResponseType
    - - be.fgov.ehealth.dics.protocol.v5.FindCompanyResponse

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T11:02:42+02:00",
                 comments="JAXB RI v2.3.7")
      public class FindCompanyResponse
      extends DicsResponseType
      implements Serializable

  Java class for FindCompanyResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="FindCompanyResponseType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:dics:protocol:v5}DicsResponseType">
             <sequence minOccurs="0">
               <element name="Company" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultCompanyType" maxOccurs="unbounded"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FindCompanyResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ConsultCompanyType>` | `getCompanies()` Gets the value of the companies property.

    - ### Methods inherited from class be.fgov.ehealth.dics.protocol.v5.DicsResponseType

      `getSamId, getSearchDate, setSamId, setSearchDate`

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

      `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FindCompanyResponse

          public FindCompanyResponse()

  - ### Method Detail

    - #### getCompanies

          public List<ConsultCompanyType> getCompanies()

      Gets the value of the companies property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the companies property.

      For example, to add a new item, do as follows:

              getCompanies().add(newItem);

      Objects of the following type(s) are allowed in the list `ConsultCompanyType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.